Your private GitHub repository set up by DataCamp contains one or two requirements files, depending on the language of your project. You must fill these files out to install the appropriate packages and package versions to ensure the code in your project runs on datacamp.com. These files come templated so filling them out should not be difficult for qualified instructors.

For R projects

  • requirements.sh: This bash script will be run on the Linux/Ubuntu image running your project. Use it to install non-R packages necessary for your project and to setup the environment in other ways.
  • requirements.R: Use this script to install R packages necessary for your project. This script is run after requirements.sh. Use devtools::install_version to install packages so that the right version is installed.

For Python projects

  • requirements.sh: This bash script will be run on the Linux/Ubuntu image running your project. Use it to install Python packages necessary for your project (installing specific package versions with pip) and to setup the environment in other ways.
Did this answer your question?